                  lea     $F02200,a1
wait_blitter:     move.l  $38(a1),d0
                  lsr.w   #1,d0
                  bcc.s   wait_blitter

                  lea     gpu+4(pc),a0
                  movea.l (a0)+,a2
                  move.l  (a0)+,d2         ; L„nge

                  move.l  #$4020,d0
                  move.l  d0,$04(a1)
                  move.l  d0,$28(a1)
                  move.l  a0,d0
                  move.l  d0,d1
                  and.w   #$FFF8,d0
                  move.l  d0,$24(a1)       ; A2-Base : SRC
                  sub.l   d0,d1
                  lsr.w   #1,d1
                  move.l  d1,$30(a1)       ; A2 Pixel-Pointer
                  move.l  a2,(a1)          ; A1-Base : Dest
                  moveq   #0,d0
                  move.l  d0,$0C(a1)       ; A1-Pixel-Pointer
                  lsr.l   #1,d2
                  or.l    #$010000,d2
                  move.l  d2,$3C(a1)
                  move.l  #$01800001,d0
                  tst.l   d1
                  beq.s   ok_gpu
                  addq.l  #4,d0
ok_gpu:           move.l  d0,$38(a1)
loop_gpu:         move.l  $38(a1),d0
                  lsr.w   #1,d0
                  bcc.s   loop_gpu
                  rts
